// ==UserScript==
// @name         自动输入密码
// @namespace    http://tampermonkey.net/
// @version      2024-06-18
// @description  try to take over the world!
// @author       You
// @match        https://qx.ynydtk.cn:8443/#/login
// @icon         https://www.google.com/s2/favicons?sz=64&domain=ynydtk.cn
// @grant        none
// ==/UserScript==

(function() {
	'use strict';
	// 创建按钮元素
	const buttonElement = document.createElement('button');
	buttonElement.textContent = '杜奕新';
	const accountInput = document.querySelector('input[placeholder="请输入手机号"]');

	// 设置按钮的基础样式
	buttonElement.style.backgroundColor = '#6672fb'; // 绿色背景
	buttonElement.style.border = 'none'; // 无边框
	buttonElement.style.color = 'white'; // 白色文字
	//buttonElement.style.padding = '10px'; // 内边距
	buttonElement.style.textAlign = 'center'; // 文本居中
	buttonElement.style.textDecoration = 'none'; // 无下划线
	buttonElement.style.display = 'inline-block'; // 内联块
	buttonElement.style.fontSize = '16px'; // 字体大小
	buttonElement.style.margin = '4px 2px'; // 外边距
	buttonElement.style.cursor = 'pointer'; // 鼠标指针
	buttonElement.style.borderRadius = '5px'; // 圆角
	buttonElement.style.transition = 'box-shadow 0.3s ease-in-out'; // 动画效果
	buttonElement.style.height = '30px';
	buttonElement.style.width = '85px';
	buttonElement.style.position = 'absolute';
	accountInput.style.position = 'relative';
	buttonElement.style.top = '-40px';

	// 鼠标悬停时的样式
	buttonElement.addEventListener('mouseover', function() {
		buttonElement.style.boxShadow = '0 4px 8px 0 rgba(0, 0, 0, 0.2)'; // 边框阴影
	});

	// 鼠标移开时取消阴影效果
	buttonElement.addEventListener('mouseout', function() {
		buttonElement.style.boxShadow = 'none';
	});

	// 将按钮插入到账号输入框左边
	if (accountInput) {
		accountInput.parentNode.insertBefore(buttonElement, accountInput);
	}

	// 按钮点击事件
	buttonElement.addEventListener('click', () => {
		// 查找账号输入框
		const accountInput = document.querySelector('input[placeholder="请输入手机号"]');
		// 查找密码输入框
		const passwordInput = document.querySelector('input[placeholder="请输入密码"]');
		// 设置输入框值
		if (accountInput) {
			accountInput.value = '15198716095';
		}
		if (passwordInput) {
			passwordInput.value = 'Ynzxkj613!';
		}
		// 模拟输入文本
		function simulateInput(element, text) {
			// 将文本设置为输入框的值
			element.value = text;

			// 创建input事件
			const event = new Event('input', {
				bubbles: true,
				cancelable: true,
			});

			// 触发input事件
			element.dispatchEvent(event);
		}

		// 调用函数模拟输入文本
		simulateInput(accountInput, '15198716095');
		simulateInput(passwordInput, 'Ynzxkj613!');
	});

	const clonedElement = buttonElement.cloneNode(true);
	clonedElement.textContent = '郭希恒';
	accountInput.parentNode.insertBefore(clonedElement, accountInput);
	clonedElement.style.left = '100px';

	// 按钮点击事件
	clonedElement.addEventListener('click', () => {
		// 查找账号输入框
		const accountInput = document.querySelector('input[placeholder="请输入手机号"]');
		// 查找密码输入框
		const passwordInput = document.querySelector('input[placeholder="请输入密码"]');
		// 设置输入框值
		if (accountInput) {
			accountInput.value = '18519953030';
		}
		if (passwordInput) {
			passwordInput.value = 'Gxh!108790';
		}
		// 模拟输入文本
		function simulateInput(element, text) {
			// 将文本设置为输入框的值
			element.value = text;

			// 创建input事件
			const event = new Event('input', {
				bubbles: true,
				cancelable: true,
			});

			// 触发input事件
			element.dispatchEvent(event);
		}

		// 调用函数模拟输入文本
		simulateInput(accountInput, '18519953030');
		simulateInput(passwordInput, 'Gxh!108790');
	});

	const clonedElement2 = buttonElement.cloneNode(true);
	clonedElement2.textContent = '张成伟';
	accountInput.parentNode.insertBefore(clonedElement2, accountInput);
	clonedElement2.style.left = '200px';

	// 按钮点击事件
	clonedElement2.addEventListener('click', () => {
		// 查找账号输入框
		const accountInput = document.querySelector('input[placeholder="请输入手机号"]');
		// 查找密码输入框
		const passwordInput = document.querySelector('input[placeholder="请输入密码"]');
		// 设置输入框值
		if (accountInput) {
			accountInput.value = '15987134500';
		}
		if (passwordInput) {
			passwordInput.value = 'Zcw@#$4500';
		}
		// 模拟输入文本
		function simulateInput(element, text) {
			// 将文本设置为输入框的值
			element.value = text;

			// 创建input事件
			const event = new Event('input', {
				bubbles: true,
				cancelable: true,
			});

			// 触发input事件
			element.dispatchEvent(event);
		}

		// 调用函数模拟输入文本
		simulateInput(accountInput, '15987134500');
		simulateInput(passwordInput, 'Zcw@#$4500');
	});
})();